{
	"name": "beginner_vue3",
	"version": "0.1.0",
	"description": "Beginner code for Vue.",
	"author": "Taworn Ta.",
	"private": true,
	"license": "ISC",
	"type": "module",
	"scripts": {
		"dev": "vite --port=8088",
		"build": "run-p type-check \"build-only {@}\" --",
		"preview": "vite preview",
		"test:unit": "vitest",
		"build-only": "vite build",
		"type-check": "vue-tsc --build --force",
		"lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
		"format": "prettier --write src/"
	},
	"dependencies": {
		"vue": "^3.4.31",
		"vue-i18n": "^9.13.1",
		"vue-router": "^4.4.0"
	},
	"devDependencies": {
		"@rushstack/eslint-patch": "^1.10.3",
		"@tsconfig/node20": "^20.1.4",
		"@types/jsdom": "^21.1.7",
		"@types/node": "^20.14.9",
		"@vitejs/plugin-vue": "^5.0.5",
		"@vue/eslint-config-prettier": "^9.0.0",
		"@vue/eslint-config-typescript": "^13.0.0",
		"@vue/test-utils": "^2.4.6",
		"@vue/tsconfig": "^0.5.1",
		"eslint": "^8.57.0",
		"eslint-plugin-vue": "^9.27.0",
		"jsdom": "^24.1.0",
		"npm-run-all2": "^6.2.2",
		"prettier": "^3.3.2",
		"typescript": "~5.5.3",
		"vite": "^5.3.3",
		"vitest": "^1.6.0",
		"vue-tsc": "^2.0.26"
	}
}